Bug 517643 - Review Request: php-doctrine-Doctrine - PHP Object Relational Mapper
Summary: Review Request: php-doctrine-Doctrine - PHP Object Relational Mapper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 517641
Blocks: 517191
TreeView+ depends on / blocked
 
Reported: 2009-08-15 14:32 UTC by Christof Damian
Modified: 2010-07-05 01:41 UTC (History)
6 users (show)

Fixed In Version: 1.1.3-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-03 18:57:14 UTC
tcallawa: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christof Damian 2009-08-15 14:32:20 UTC
Spec URL: http://rpms.damian.net/SPECS/php-doctrine-Doctrine.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-doctrine-Doctrine-1.1.3-1.fc11.src.rpm
Description: 
Doctrine is an object relational mapper (ORM) for PHP 5.2.3+ that sits on top
of a powerful database abstraction layer (DBAL). One of its key features is the
option to write database queries in a proprietary object oriented SQL dialect
called Doctrine Query Language (DQL), inspired by Hibernates HQL. This provides
developers with a powerful alternative to SQL that maintains flexibility
without requiring unnecessary code duplication.

Comment 1 Andrew Colin Kissa 2009-08-17 10:25:05 UTC
This is covered by multiple licenses (LGPLv2+,BSD,MIT) your spec should reflect that

Comment 2 Christof Damian 2009-08-17 10:51:38 UTC
(In reply to comment #1)
> This is covered by multiple licenses (LGPLv2+,BSD,MIT) your spec should reflect
> that  

You are right, I didn't see that. I uploaded new versions:

Spec URL: http://rpms.damian.net/SPECS/php-doctrine-Doctrine.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-doctrine-Doctrine-1.1.3-2.fc11.src.rpm

I set it to: "LGPLv2 and MIT and BSD". I couldn't find any reference to LGPLv2+, but maybe I missed it.

Comment 3 Andrew Colin Kissa 2009-08-17 10:56:31 UTC
A GPL or LGPL licensed package that lacks any statement of what version that it's licensed under in the source code/program output/accompanying docs is technically licensed under *any* version of the GPL or LGPL, not just the version in whatever COPYING file they include. Note that this is LGPLv2+, not LGPL+, because version 2 was the first version of LGPL. 

https://fedoraproject.org/wiki/Licensing

Comment 4 Christof Damian 2009-08-17 11:22:55 UTC
The LICENSE file contains: "GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999" 

It doesn't state "or higher" as far as I can see.

Comment 5 Andrew Colin Kissa 2009-08-17 11:25:50 UTC
Just read comment #3

Comment 6 Christof Damian 2009-08-17 11:39:52 UTC
(In reply to comment #5)
> Just read comment #3  

OK, changed to LGPLv2+ :

Spec URL: http://rpms.damian.net/SPECS/php-doctrine-Doctrine.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-doctrine-Doctrine-1.1.3-3.fc11.src.rpm

Comment 7 Tom "spot" Callaway 2009-09-22 17:12:46 UTC
Provides:	php-pear(doctrine/%{pear_name}) = %{version}

Shouldn't that be:

Provides:       php-pear(pear.doctrine-project.com/%{pear_name}) = %{version}

Looking at:
https://fedoraproject.org/wiki/Packaging:PHP#PEAR_Packages_from_a_non_standard_channel.2Frepository

Comment 8 Christof Damian 2009-09-24 08:33:55 UTC
(In reply to comment #7)
> Provides: php-pear(doctrine/%{pear_name}) = %{version}
> 
> Shouldn't that be:
> 
> Provides:       php-pear(pear.doctrine-project.com/%{pear_name}) = %{version}

That is fixed now: 

Spec URL: http://rpms.damian.net/SPECS/php-doctrine-Doctrine.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-doctrine-Doctrine-1.1.3-4.fc11.src.rpm

Comment 9 Tom "spot" Callaway 2009-09-24 15:09:27 UTC
Review 
=======
Good:

- rpmlint checks return nothing
- package meets naming guidelines (PHP)
- package meets packaging guidelines (PHP)
- license (LGPLv2+ and MIT and BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (53d644dd56fbe58056ba33ff42a58482c86f330e92c9aceefdd86788171a1da2)
- package compiles on devel (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.

Comment 10 Christof Damian 2009-09-24 16:57:25 UTC
New Package CVS Request
=======================
Package Name: php-doctrine-Doctrine 
Short Description: PHP Object Relational Mapper
Owners: cdamian
Branches: F-11
InitialCC:

Comment 11 Kevin Fenzi 2009-09-25 16:30:44 UTC
cvs done.

Comment 12 Fedora Update System 2009-09-25 19:34:25 UTC
php-doctrine-Doctrine-1.1.3-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-doctrine-Doctrine-1.1.3-4.fc11

Comment 13 Fedora Update System 2009-09-29 14:29:16 UTC
php-doctrine-Doctrine-1.1.3-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-doctrine-Doctrine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10014

Comment 14 Fedora Update System 2009-10-03 18:57:09 UTC
php-doctrine-Doctrine-1.1.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Christof Damian 2009-11-15 11:19:01 UTC
Package Change Request
======================
Package Name: php-doctrine-Doctrine 
New Branches: F-12
Owners: cdamian

Comment 16 Thomas Spura 2009-11-15 12:13:43 UTC
Hmm, what do you want?

The F-12 branch should be created automatically.
At http://cvs.fedora.redhat.com/viewvc/F-12/php-doctrine-Doctrine/
there is already one.

Maybe you forgot a 'cvs update'?

Comment 17 Christof Damian 2009-11-15 12:45:16 UTC
I did, but I am an idiot anyway. I should have done "cvs update -dP"

cheers

Comment 18 Christoph Wickert 2009-11-15 16:41:08 UTC
(In reply to comment #16)

> The F-12 branch should be created automatically.

No, now we are already past mass branching and it's F-13 that is created automatically.

Comment 19 Thomas Spura 2009-11-15 17:05:19 UTC
(In reply to comment #18)
> (In reply to comment #16)
> 
> > The F-12 branch should be created automatically.
> 
> No, now we are already past mass branching and it's F-13 that is created
> automatically.

Ok, adding 'have been'.

-> The F-12 branch should 'have been' created automatically.

Comment 20 Christof Damian 2010-07-04 11:22:09 UTC
Package Change Request
======================
Package Name: php-doctrine-Doctrine
New Branches: EL-6
Owners: cdamian

Comment 21 Kevin Fenzi 2010-07-05 01:41:01 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.